tenantCustomizedInformation の更新

名前空間: microsoft.graph.managedTenants

重要

Microsoft Graph のバージョンの /beta API は変更される可能性があります。 実稼働アプリケーションでこれらの API を使用することは、サポートされていません。 API が v1.0 で使用できるかどうかを確認するには、 バージョン セレクターを使用します。

tenantCustomizedInformation オブジェクトのプロパティを更新します。

アクセス許可

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) ManagedTenants.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション サポートされていません。

HTTP 要求

PATCH /tenantRelationships/managedTenants/tenantsCustomizedInformation/{tenantCustomizedInformationId}

要求ヘッダー

名前 説明
Authorization ベアラー {token}。必須。
Content-Type application/json. Required.

要求本文

要求本文で 、tenantCustomizedInformation オブジェクトの JSON 表記を指定します。

次の表に 、tenantCustomizedInformationを更新するときに必要なプロパティを示します。

プロパティ 種類 説明
id String 管理Azure Active Directoryのテナント識別子を指定します。
tenantId String 管理Azure Active Directoryのテナント識別子を指定します
contacts microsoft.graph.managedTenants.tenantContactInformation コレクション 管理テナントに関連付けられた連絡先のコレクション。
Web サイト String 管理テナントの Web サイト。

応答

成功した場合、このメソッドは応答コードと、応答本文で更新 200 OK された tenantCustomizedInformation オブジェクトを返します。

要求

PATCH https://graph.microsoft.com/beta/tenantRelationships/managedTenants/tenantsCustomizedInformation/{tenantCustomizedInformationId}
Content-Type: application/json

{
  "@odata.type": "#microsoft.graph.managedTenants.tenantCustomizedInformation",
  "tenantId": "String",
  "contacts": [
    {
      "@odata.type": "microsoft.graph.managedTenants.tenantContactInformation",
      "name": "String",
      "title": "String",
      "email": "String",
      "phone": "String",
      "notes": "String"
    }
  ],
  "website": "String"
}

応答

注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "@odata.type": "#microsoft.graph.managedTenants.tenantCustomizedInformation",
  "id": "34298981-4fc8-4974-9486-c8909ed1521b",
  "tenantId": "34298981-4fc8-4974-9486-c8909ed1521b",
  "website": "https://www.fourthcoffee.com",
  "contacts": [
    {
      "name": "Sally",
      "email": "sally@fourthcoffee.com",
      "phone": "5558009731"
    },
    {
      "name": "Hector",
      "email": "hector@fourthcoffee.com",
      "phone": "5558009732"
    }
  ]
}